$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.208.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.208.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '2E4AEFA9BDF289708530C8EF626F19A59E5B12AFCE6DABA5FA5BAA448FB4AD8D'
  checksumType = 'sha256'
  checksum64 = '2E4AEFA9BDF289708530C8EF626F19A59E5B12AFCE6DABA5FA5BAA448FB4AD8D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.208-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
